TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ResidueClassField ( elt-ids^int/ord^num I ) -> fld^fin, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Returns the residue field O/I and the map O:->ff; I must be a prime ideal. </shortdoc>

### Examples

x_o := MaximalOrder(X^2+5); x_b := Ideal(x_o,Matrix(Z,2,2,[1,1,0,2])); ResidueClassField(x_b);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack